Page MenuHomePhabricator

Unknown prefix wdtn: on Wikidata SPARQL
Closed, ResolvedPublic

Description

If I use the prefix "wdtn:" in the SPARQL engine on https://query.wikidata.org/ , the interface complains that wdtn: is an unknown prefix.

To reproduce go to https://query.wikidata.org/#SELECT%20%3Fitem%20%3Fulanid%20%3Fulanuri%20WHERE%20%7B%0A%20%20%3Fitem%20wdt%3AP245%20%3Fulanid%20.%0A%20%20%3Fitem%20wdtn%3AP245%20%3Fulanuri%20.%0A%20%20%7D%20LIMIT%2010%0A%20%20%20%20%20%20%20%20 , click the wdtn: and do CTRL-space

The expected behavior is visible when you hover over the wdt:P245, you'll get "ULAN ID (P245) identifier from the Getty Union List of Artist Names"

Related Objects

Mentioned Here
P245 T87291 log

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2018, 11:20 AM

Change 521986 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/gui@master] Add wdtn: to prefixes

https://gerrit.wikimedia.org/r/521986

Smalyshev updated the task description. (Show Details)Jul 10 2019, 11:27 PM

Change 521986 merged by jenkins-bot:
[wikidata/query/gui@master] Add wdtn: to prefixes

https://gerrit.wikimedia.org/r/521986

Smalyshev triaged this task as Normal priority.Jul 11 2019, 8:02 PM
Smalyshev moved this task from Backlog to Doing on the Wikidata Query UI board.
Smalyshev closed this task as Resolved.Jul 22 2019, 8:29 PM
Smalyshev updated the task description. (Show Details)

Thanks Stas, works like a charm :-)